Subject: Re: [PATCH] genirq: Set initial default irq affinity to just CPU0

From: David Miller <[email-masked]>
Date: Fri, 24 Oct 2008 16:18:13 -0700 (PDT)

From: Kumar Gala <[email-masked]>
Date: Fri, 24 Oct 2008 10:57:38 -0500

> Commit 18404756765c713a0be4eb1082920c04822ce588 introduced a regression
> on a subset of SMP based PPC systems whose interrupt controller only
> allow setting an irq to a single processor.  The previous behavior
> was only CPU0 was initially setup to get interrupts.  Revert back
> to that behavior.
> 
> Signed-off-by: Kumar Gala <[email-masked]>

I really don't remember getting all of my interrupts only on cpu 0
on sparc64 before any of these changes.  I therefore find all of
this quite mysterious. :-)